FreeMat

- Main Page
- Related Pages

vtkOpenGLGPUVolumeRayCastMapper

Section: Visualization Toolkit Volume Rendering Classes

# Usage

This is the concrete implementation of a ray cast image display helper - a helper class responsible for drawing the image to the screen.

To create an instance of class vtkOpenGLGPUVolumeRayCastMapper, simply invoke its constructor as follows

      obj = vtkOpenGLGPUVolumeRayCastMapper

# Methods

The class vtkOpenGLGPUVolumeRayCastMapper has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLGPUVolumeRayCastMapper class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLGPUVolumeRayCastMapper = obj.NewInstance ()`
- `vtkOpenGLGPUVolumeRayCastMapper = obj.SafeDownCast (vtkObject o)`
- `int = obj.IsRenderSupported (vtkRenderWindow window, vtkVolumeProperty property)` - Based on hardware and properties, we may or may not be able to render using 3D texture mapping. This indicates if 3D texture mapping is supported by the hardware, and if the other extensions necessary to support the specific properties are available.